# ETHTED additional segmentation label
This is additional semantic segmentation label (triangle / non-tirangle) for "shapes_translation" in [ETH The Event-Camera Dataset](http://rpg.ifi.uzh.ch/davis_data.html) (ETHTED).

This label was used for event-wise semantic segmentation experiments in our CVPR2019 paper "EventNet: Asynchronous recursive event processing".

The original raw event data can be downloaded from ETHTED project page (http://rpg.ifi.uzh.ch/davis_data.html).

## Label definition
Label id 2, and 1 corresponds to the events from triangle and non-triangle respectively.
It was manually annotated. There are some events which we failed to annotate with our tool (label id: 0).

## Files
* readme.md: 
    This file.

* segmentation.txt: 
    The additional segmentation label which has the same number of rows as events.txt in ETHTED dataset (segmentation.txt corresponds to events.txt in par-event basis).

* dataLoaderETH.py: 
    Sample python script to load and display the data (requires events.txt).

## Citation
Please refer to our CVPR2019 paper when using the additional label, and also do not forget to cite ETH The Event-Camera Dataset (http://rpg.ifi.uzh.ch/davis_data.html).